public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gui-libs/wlroots/
Date: Sat, 13 Jul 2024 06:02:42 +0000 (UTC)	[thread overview]
Message-ID: <1720850466.9b02cb56c27515a55fad4f4ac128d9d2ce1a585a.arthurzam@gentoo> (raw)

commit:     9b02cb56c27515a55fad4f4ac128d9d2ce1a585a
Author:     Leonardo Hernández Hernández <leohdz172 <AT> proton <DOT> me>
AuthorDate: Fri Jul 12 21:58:12 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Jul 13 06:01:06 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9b02cb56

gui-libs/wlroots: add 0.18.0

Signed-off-by: Leonardo Hernández Hernández <leohdz172 <AT> proton.me>
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 gui-libs/wlroots/Manifest              |   1 +
 gui-libs/wlroots/wlroots-0.18.0.ebuild | 106 +++++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/gui-libs/wlroots/Manifest b/gui-libs/wlroots/Manifest
index c3c7c71a7042..17cf463137e3 100644
--- a/gui-libs/wlroots/Manifest
+++ b/gui-libs/wlroots/Manifest
@@ -3,3 +3,4 @@ DIST wlroots-0.16.2.gl.tar.gz 588432 BLAKE2B cad2a98b1413ed94270b53af62541d67de1
 DIST wlroots-0.17.2.tar.gz 606822 BLAKE2B bbf6e8d0014f6613b39cbb6a0a8e5be395a858a5db8e432307298f20eb37c6622dbc6e078e21d9b8396dd836da1f9787b433549641cc664962eb96a122846edc SHA512 44a3ec673431c02fc08a5c33daa06148b5e85a3a7ea45b28978cd6be230dd4c5082e8a34985e2976c9e64f98b7567e334c191c3d20141e8e27ddc4a4659843cc
 DIST wlroots-0.17.3.tar.gz 608292 BLAKE2B 7caab3c3a58595d3a745c0b20a5db2193c54931cdd7bc1b9de11c151af82503a03a6a3166a86f42486cc69c6ac18ca2a5596809a5c5e6d7b44c9845f509c1093 SHA512 b88747daba304db6dc302acdebb8764e719d84134118963c019d5f0d0d38552e0ffd2a50bf560b3b84549c5a0f2d11a6187ac8ddcd9faa28c5b42f86c585b555
 DIST wlroots-0.17.4.tar.gz 609179 BLAKE2B dc5a7749533ab54631d4a26be554b86e5b08b2472cf8f22ccebddb319d571cbd98a5c56e64e7bc762a5918d4272eb6b4261050288f3053c18c824c6a9c32b96b SHA512 35803df9fe68cadb0b9b5e522863535407ba2354ed1ca8f824a9c40b64698a97c579fec0afeb444b05d429adc1e3dfc45b20c3a1b7a2004e4f5a10d2305c9116
+DIST wlroots-0.18.0.tar.gz 628190 BLAKE2B b1d725e0397365b69afce24baf5376057a40d225f7cb06ccd5abde3b3da8d5401a6eb5d57ab65154a6faf7961473039833e558e3b25da1210891d34667da5bf9 SHA512 2cf848aa67f41089b60cc7d01c3a344ebaf7f5bbced459675fef885cd4b3e6b99d9a49d6b127518314d0ae38e52e9aff7991611592b2add4cba96f15aa0bf1c6

diff --git a/gui-libs/wlroots/wlroots-0.18.0.ebuild b/gui-libs/wlroots/wlroots-0.18.0.ebuild
new file mode 100644
index 000000000000..c10dc7018f2a
--- /dev/null
+++ b/gui-libs/wlroots/wlroots-0.18.0.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="Pluggable, composable, unopinionated modules for building a Wayland compositor"
+HOMEPAGE="https://gitlab.freedesktop.org/wlroots/wlroots"
+
+if [[ ${PV} == 9999 ]]; then
+	EGIT_REPO_URI="https://gitlab.freedesktop.org/${PN}/${PN}.git"
+	inherit git-r3
+	SLOT="0.18"
+else
+	SRC_URI="https://gitlab.freedesktop.org/${PN}/${PN}/-/releases/${PV}/downloads/${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm64 ~loong ~ppc64 ~riscv ~x86"
+	SLOT="$(ver_cut 1-2)"
+fi
+
+LICENSE="MIT"
+IUSE="liftoff +libinput +drm +session lcms vulkan x11-backend xcb-errors X"
+REQUIRED_USE="
+	drm? ( session )
+	lcms? ( vulkan )
+	libinput? ( session )
+	liftoff? ( drm )
+	xcb-errors? ( || ( x11-backend X ) )
+"
+
+DEPEND="
+	>=dev-libs/wayland-1.23.0
+	media-libs/libglvnd
+	|| (
+		>=media-libs/mesa-24.1.0_rc1[opengl]
+		<media-libs/mesa-24.1.0_rc1[egl(+),gles2]
+	)
+	>=x11-libs/libdrm-2.4.122
+	x11-libs/libxkbcommon
+	>=x11-libs/pixman-0.42.0
+	drm? (
+		media-libs/libdisplay-info:=
+		sys-apps/hwdata
+		liftoff? ( >=dev-libs/libliftoff-0.4 )
+	)
+	lcms? ( media-libs/lcms:2 )
+	libinput? ( >=dev-libs/libinput-1.19.0:= )
+	session? (
+		sys-auth/seatd:=
+		virtual/libudev
+	)
+	vulkan? (
+		dev-util/glslang:=
+		dev-util/vulkan-headers
+		media-libs/vulkan-loader
+	)
+	xcb-errors? ( x11-libs/xcb-util-errors )
+	x11-backend? (
+		x11-libs/libxcb:=
+		x11-libs/xcb-util-renderutil
+	)
+	X? (
+		x11-libs/libxcb:=
+		x11-libs/xcb-util-wm
+		x11-base/xwayland
+	)
+"
+RDEPEND="
+	${DEPEND}
+"
+BDEPEND="
+	>=dev-libs/wayland-protocols-1.35
+	dev-util/wayland-scanner
+	virtual/pkgconfig
+"
+
+src_configure() {
+	local backends=(
+		$(usev drm)
+		$(usev libinput)
+		$(usev x11-backend 'x11')
+	)
+	local meson_backends=$(IFS=','; echo "${backends[*]}")
+	local emesonargs=(
+		$(meson_feature xcb-errors)
+		-Dexamples=false
+		-Drenderers=$(usex vulkan 'gles2,vulkan' gles2)
+		$(meson_feature X xwayland)
+		-Dbackends=${meson_backends}
+		$(meson_feature session)
+		$(meson_feature lcms color-management)
+		$(meson_feature liftoff libliftoff)
+	)
+
+	meson_src_configure
+}
+
+src_install() {
+	meson_src_install
+	dodoc docs/*
+}
+
+pkg_postinst() {
+	elog "You must be in the input group to allow your compositor"
+	elog "to access input devices via libinput."
+}


             reply	other threads:[~2024-07-13  6:02 UTC|newest]

Thread overview: 185+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-07-13  6:02 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-20 20:28 [gentoo-commits] repo/gentoo:master commit in: gui-libs/wlroots/ Arthur Zamarin
2024-08-31  5:02 Sam James
2024-08-31  5:02 Sam James
2024-08-30  9:05 Arthur Zamarin
2024-08-30  6:45 Arthur Zamarin
2024-08-16 10:50 Arthur Zamarin
2024-08-16  7:54 Arthur Zamarin
2024-08-16  7:28 Arthur Zamarin
2024-07-29 23:05 Sam James
2024-07-29 23:05 Sam James
2024-07-29 23:05 Sam James
2024-07-29 23:05 Sam James
2024-07-13 19:18 Arthur Zamarin
2024-07-13 19:18 Arthur Zamarin
2024-07-13 18:14 Arthur Zamarin
2024-07-13 18:14 Arthur Zamarin
2024-07-13  6:02 Arthur Zamarin
2024-07-11 10:54 Arthur Zamarin
2024-06-30 15:05 James Le Cuirot
2024-06-27 20:24 Arthur Zamarin
2024-06-25 22:04 Sam James
2024-06-25 22:03 Sam James
2024-06-25 22:03 Sam James
2024-06-25 22:03 Sam James
2024-06-11  5:56 Arthur Zamarin
2024-06-11  5:56 Arthur Zamarin
2024-06-04 18:31 Arthur Zamarin
2024-05-28  2:11 Sam James
2024-05-23 16:10 Matt Turner
2024-04-28 14:07 Arthur Zamarin
2024-04-28 14:07 Arthur Zamarin
2024-04-13  7:24 Arthur Zamarin
2024-04-13  7:13 Arthur Zamarin
2024-04-13  6:41 Arthur Zamarin
2024-04-13  6:39 Arthur Zamarin
2024-04-13  6:37 Arthur Zamarin
2024-03-12  6:34 Arthur Zamarin
2024-03-12  6:34 Arthur Zamarin
2024-03-08 11:33 Arthur Zamarin
2024-02-09  2:21 Sam James
2024-02-09  1:04 Sam James
2024-02-09  1:04 Sam James
2024-02-09  1:04 Sam James
2024-01-28 17:34 Matt Turner
2024-01-23  5:07 Ionen Wolkens
2024-01-04 10:02 Sam James
2024-01-04 10:02 Sam James
2024-01-03 21:34 Sam James
2024-01-03 19:07 Arthur Zamarin
2024-01-03 19:07 Arthur Zamarin
2023-12-05  7:53 Arthur Zamarin
2023-11-29  6:20 Sam James
2023-11-25  6:12 Sam James
2023-11-05 14:48 Sam James
2023-11-05 13:50 Sam James
2023-11-05 13:38 Sam James
2023-10-05 16:02 Arthur Zamarin
2023-09-28 17:52 Arthur Zamarin
2023-09-28 17:51 Arthur Zamarin
2023-09-28 17:51 Arthur Zamarin
2023-09-28 17:51 Arthur Zamarin
2023-09-28 17:51 Arthur Zamarin
2023-09-28 17:51 Arthur Zamarin
2023-09-28 17:51 Arthur Zamarin
2023-09-28 17:51 Arthur Zamarin
2023-09-28 17:51 Arthur Zamarin
2023-07-07 19:07 Arthur Zamarin
2023-07-07 19:07 Arthur Zamarin
2023-07-07 19:07 Arthur Zamarin
2023-05-23  2:52 Sam James
2023-05-21 20:04 Matthew Thode
2023-05-21 20:02 Matthew Thode
2023-05-21 19:58 Matthew Thode
2023-05-13 17:06 Matthew Thode
2023-05-13 16:59 Matthew Thode
2023-04-20 18:28 Arthur Zamarin
2023-04-13  1:36 Matthew Thode
2023-03-24 14:45 Matthew Thode
2023-03-12 22:29 Matthew Thode
2023-03-07  7:57 Sam James
2023-02-25 18:09 Matthew Thode
2023-02-25 17:45 Matthew Thode
2023-02-25  5:46 Arthur Zamarin
2023-02-13  3:31 Matthew Thode
2023-01-25 20:46 Matthew Thode
2022-12-25 18:51 Matthew Thode
2022-11-27 17:46 Matthew Thode
2022-11-27 17:46 Matthew Thode
2022-11-27 17:46 Matthew Thode
2022-11-12  7:21 Sam James
2022-11-11 20:28 Matthew Thode
2022-10-17 18:42 Arthur Zamarin
2022-10-03 13:27 Joonas Niilola
2022-08-17 20:42 Matthew Thode
2022-08-17  4:53 Arthur Zamarin
2022-08-16 19:43 Sam James
2022-08-16 19:43 Sam James
2022-08-16 18:08 Arthur Zamarin
2022-08-14 19:24 Arthur Zamarin
2022-08-14  6:50 Joonas Niilola
2022-07-24  5:00 Matthew Thode
2022-05-26  5:39 WANG Xuerui
2022-05-26  5:39 WANG Xuerui
2022-05-17  5:59 Sam James
2022-02-26  2:43 Sam James
2022-02-26  2:43 Sam James
2022-02-22 19:47 Matthew Thode
2022-01-01 10:03 Sam James
2021-12-26  1:23 Matthew Thode
2021-12-25  4:31 Matthew Thode
2021-12-13  5:41 Matthew Thode
2021-11-18 23:15 Matthew Thode
2021-11-01  1:55 Matthew Thode
2021-11-01  1:49 Matthew Thode
2021-11-01  1:33 Matthew Thode
2021-11-01  1:26 Matthew Thode
2021-10-31  0:19 Sam James
2021-10-30 23:33 Sam James
2021-10-30 23:33 Sam James
2021-10-11 15:24 Matthew Thode
2021-09-20  0:42 Matthew Thode
2021-09-19 20:11 Matthew Thode
2021-08-25  2:21 Aaron Bauman
2021-08-20  0:28 Sam James
2021-08-18  1:28 Sam James
2021-08-18  1:28 Sam James
2021-07-26 19:51 Piotr Karbowski
2021-07-24 20:26 Matthew Thode
2021-07-21  2:22 Yixun Lan
2021-06-26 20:52 Matthew Thode
2021-06-25 16:03 Matthew Thode
2021-06-09 18:13 Matthew Thode
2021-05-09 18:00 Matthew Thode
2021-04-19 20:40 Matthew Thode
2021-04-19 20:38 Matthew Thode
2021-04-19 20:38 Matthew Thode
2021-04-08 15:37 Matthew Thode
2021-02-21  2:32 Matthew Thode
2021-02-14 19:38 Matthew Thode
2020-12-11 18:02 Matthew Thode
2020-11-11 17:24 Aaron Bauman
2020-11-11 17:03 Aaron Bauman
2020-11-10 18:26 Aaron Bauman
2020-11-09 16:38 Aaron Bauman
2020-11-09 15:30 Aaron Bauman
2020-11-09 14:56 Aaron Bauman
2020-11-09 14:56 Aaron Bauman
2020-09-15 16:57 Matthew Thode
2020-09-15 16:29 Matthew Thode
2020-07-25 19:33 Sam James
2020-07-25 11:16 Sam James
2020-07-24 16:29 Aaron Bauman
2020-07-16 14:50 Matthew Thode
2020-05-16  2:49 Matthew Thode
2020-04-24  1:33 Matthew Thode
2020-04-19 15:51 Aaron Bauman
2020-02-22 21:39 Matthew Thode
2020-02-22 21:39 Matthew Thode
2020-01-24  4:19 Georgy Yakovlev
2020-01-24  4:19 Georgy Yakovlev
2020-01-22 22:20 Matthew Thode
2020-01-22 22:20 Matthew Thode
2020-01-11 20:02 Matthew Thode
2019-11-13  3:48 Aaron Bauman
2019-11-13  3:48 Aaron Bauman
2019-11-08  3:29 Aaron Bauman
2019-11-08  2:14 Aaron Bauman
2019-11-04  3:17 Aaron Bauman
2019-09-27 18:12 Matthew Thode
2019-09-27 18:12 Matthew Thode
2019-08-28 19:08 Matthew Thode
2019-08-28 17:37 Matthew Thode
2019-08-01 15:26 Aaron Bauman
2019-06-02 17:22 Matthew Thode
2019-05-29 20:45 Aaron Bauman
2019-05-03 18:33 Matthew Thode
2019-05-03 18:33 Matthew Thode
2019-04-24 23:11 Thomas Deutschmann
2019-04-10  5:03 Aaron Bauman
2019-04-10  3:01 Aaron Bauman
2019-03-12 13:49 Matthew Thode
2019-03-04 21:35 Matthew Thode
2019-02-26  1:04 Matthew Thode
2019-02-22 22:54 Aaron Bauman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1720850466.9b02cb56c27515a55fad4f4ac128d9d2ce1a585a.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox